org.codehaus.plexus.util

## Class LineOrientedInterpolatingReader

- java.lang.Object
- - java.io.Reader
  - - java.io.FilterReader
    - - org.codehaus.plexus.util.LineOrientedInterpolatingReader

All Implemented Interfaces:
  java.io.Closeable, java.lang.AutoCloseable, java.lang.Readable

    public class LineOrientedInterpolatingReader
    extends java.io.FilterReader

Author:
  jdcasey Created on Feb 3, 2005

### Field Summary

Fields
`static java.lang.String` `DEFAULT_END_DELIM`
`static java.lang.String` `DEFAULT_ESCAPE_SEQ`
`static java.lang.String` `DEFAULT_START_DELIM`

### Fields inherited from class java.io.FilterReader

`in`

### Fields inherited from class java.io.Reader

`lock`

### Constructor Summary

Constructors
Constructor and Description
`LineOrientedInterpolatingReader(java.io.Reader reader, java.util.Map context)`
`LineOrientedInterpolatingReader(java.io.Reader reader, java.util.Map context, java.lang.String startDelim, java.lang.String endDelim)`
`LineOrientedInterpolatingReader(java.io.Reader reader, java.util.Map context, java.lang.String startDelim, java.lang.String endDelim, java.lang.String escapeSeq)`

### Method Summary

Methods
`int` `read()`
`int` `read(char[] cbuf, int off, int len)`
`long` `skip(long n)`

### Methods inherited from class java.io.FilterReader

`close, mark, markSupported, ready, reset`

### Methods inherited from class java.io.Reader

`read, read`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### DEFAULT_START_DELIM

    public static final java.lang.String DEFAULT_START_DELIM

See Also:
  Constant Field Values

#### DEFAULT_END_DELIM

    public static final java.lang.String DEFAULT_END_DELIM

See Also:
  Constant Field Values

#### DEFAULT_ESCAPE_SEQ

    public static final java.lang.String DEFAULT_ESCAPE_SEQ

See Also:
  Constant Field Values

### Constructor Detail

#### LineOrientedInterpolatingReader

    public LineOrientedInterpolatingReader(java.io.Reader reader,
                                   java.util.Map context,
                                   java.lang.String startDelim,
                                   java.lang.String endDelim,
                                   java.lang.String escapeSeq)

#### LineOrientedInterpolatingReader

    public LineOrientedInterpolatingReader(java.io.Reader reader,
                                   java.util.Map context,
                                   java.lang.String startDelim,
                                   java.lang.String endDelim)

#### LineOrientedInterpolatingReader

    public LineOrientedInterpolatingReader(java.io.Reader reader,
                                   java.util.Map context)

### Method Detail

#### read

    public int read()
             throws java.io.IOException

Overrides:
  `read` in class `java.io.FilterReader`
Throws:
  `java.io.IOException`

#### read

    public int read(char[] cbuf,
           int off,
           int len)
             throws java.io.IOException

Overrides:
  `read` in class `java.io.FilterReader`
Throws:
  `java.io.IOException`

#### skip

    public long skip(long n)
              throws java.io.IOException

Overrides:
  `skip` in class `java.io.FilterReader`
Throws:
  `java.io.IOException`